Subject: bug#76343: closed (Re: bug#76343: shepherd 1.0.2 --help: warning: call to environ while multiple threads are running; further behavior unspecified.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Mar 2025 15:28:02 +0000

Your bug report

#76343: shepherd 1.0.2 --help: warning: call to environ while multiple threads are running; further behavior unspecified.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76343: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76343
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76343: shepherd 1.0.2 --help: warning: call to environ while multiple threads are running; further behavior unspecified.
From: Ludovic Courtès <[email-masked]>
To: Simon Josefsson <[email-masked]>
Cc: [email-masked]
Date: Thu, 06 Mar 2025 16:26:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon Josefsson <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> Simon Josefsson <[email-masked]> skribis:
>>
>>> A shephard-specific patch would be the simplest at this point, I think.
>>>  
>>> Do you have some idea how to do that?  I agree it seems like a Debian-
>>> specific patch for now.
>>
>> The patch below appears to do the trick.  I guess I could just as well
>> integrate it in the next 1.0.x bug-release.
>>
>> Does it work for you?
>
> It does, yes!

Excellent. :-)

Pushed in the Shepherd as 8e951de13120729907c527d4a420b579aec944f4.

Thanks!

Ludo’.

Subject: shepherd 1.0.2 --help: warning: call to environ while multiple threads are running; further behavior unspecified.
From: Simon Josefsson <[email-masked]>
To: [email-masked]
Date: Sun, 16 Feb 2025 18:30:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

It seems shepherd in Debian print the following on a simple --help:

132s warning: call to environ while multiple threads are running;
132s          further behavior unspecified.

I can't find the error message in guile-fibers or shepherd source code.
Any ideas where it comes from and how to fix it?

Version 1.0.0:
https://ci.debian.net/packages/s/shepherd/testing/amd64/57880388/

Version 1.0.2:
https://salsa.debian.org/debian/shepherd/-/jobs/7101207#L718

/Simon